Subject: HMENU - sectionindex does not allow to select other CEs than colPos = 0
Description

Hey,

HMENU.sectionIndex is a real cool feature, however it is impossible to modify the WHERE clause when selecting the Content
Elements on that page to create the elements in the sectionIindex. Thus, this patch adds an additional

sectionIndex.where (string + stdWrap)

to allow to override the where clause and to specifically select items based on other criteria than the default "colPos=0 and
sys_language_uid=...".

(issue imported from #M12065)

Related issues:
related to TypoScript Reference (TSref) - Feature # 37234: HMENU: sectioninde... Closed 2012-05-16
related to Core - Bug # 37449: Section Index incorrect output Closed 2012-05-23

Associated revisions

Revision af4153d9 - 2012-08-15 13:33 - Stefan Galinski

[FEATURE] HMENU - sectionIndex: where clause should be configurable

This changeset implements the sectionindex setting
"useColPos" that can be used to change the colPos
query filter. A negative value drops the filter
completely. Only integers are allowed as values
and stdWrap is possible.

Example:
tt_content.menu.20.3.1.sectionIndex.useColPos = -1
Tested-by: Stefan Galinski

History

#1 - 2012-05-16 17:17 - Stefan Galinski
- Assigned To deleted (Benjamin Mack)
- Target version deleted (0)

#2 - 2012-05-16 18:15 - Stefan Galinski
- Assigned To set to Stefan Galinski

#3 - 2012-05-16 18:23 - Stefan Galinski

How to test:

Add a section menu as content element to one of your pages with content spread over different columns. You will experience that only the contents

from the first column are shown if they have headers. After applying the following typoscript you will get all contents inside the section menu instead.

tt_content.menu.20.3.1.sectionIndex.where.wrap = 1=1|
or

tt_content.menu.20.3.1.sectionindex.where = 1=1

#4 - 2012-05-16 18:24 - Stefan Galinski
- Tracker changed from Bug to Feature

#5 - 2012-05-23 19:38 - Stefan Galinski

- Status changed from Accepted to Under Review

#6 - 2012-07-25 13:32 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11251

#7 - 2012-08-08 19:43 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11251

#8 - 2012-08-15 14:30 - Stefan Galinski
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:af4153d90270816d108ccacaf560a3b1b1b5757d.
